package com.extensibility.plugin.api;

import java.io.Writer;

public interface URIVersionedAccess {
   int CHECKOUT_OK = 0;
   int CHECKOUT_ERR_CHECKED_OUT = 1;
   int CHECKOUT_ERR_OLDER_VERSION = 2;
   int CHECKOUT_FAILED = 3;
   int CHECKIN_OK = 0;
   int UNCHECKOUT_OK = 0;
   int UNCHECKOUT_FAILED = 0;
   int CHECKIN_ERR_INACCESSIBLE = 1;
   int CHECKIN_ERR_CONFLICTS = 2;

   int checkoutItem() throws Exception;

   Writer checkinItem() throws Exception;

   int uncheckoutItem() throws Exception;

   boolean isCheckedOut();

   void presetSaveInformation(String var1, String var2, String var3);
}
